### Enumeration

# Gtk SpinButtonUpdatePolicy

#### Declaration

    enum Gtk.SpinButtonUpdatePolicy

#### Description [src]

Determines whether the spin button displays values outside the adjustment bounds.

See gtk_spin_button_set_update_policy().

#### Members

Name | Description
--- | ---
`GTK_UPDATE_ALWAYS` | When refreshing your `GtkSpinButton`, the value is always displayed.
`GTK_UPDATE_IF_VALID` | When refreshing your `GtkSpinButton`, the value is only displayed if it is valid within the bounds of the spin button’s adjustment.